Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.probe.spring.executions
Class OperationExecutionMethodInvocationInterceptor

    java.lang.Object
      kieker.monitoring.probe.spring.executions.OperationExecutionMethodInvocationInterceptor

All Implemented Interfaces:
  IMonitoringProbe, org.aopalliance.aop.Advice, org.aopalliance.intercept.Interceptor, org.aopalliance.intercept.MethodInterceptor

    public class OperationExecutionMethodInvocationInterceptor

extends Object
implements org.aopalliance.intercept.MethodInterceptor, IMonitoringProbe

Since:
  0.91
Author:
  Marco Luebcke, Andre van Hoorn, Jan Waller

Constructor Summary
`OperationExecutionMethodInvocationInterceptor()`
`OperationExecutionMethodInvocationInterceptor(IMonitoringController monitoringController)` This constructor is mainly used for testing, providing a custom `IMonitoringController` instead of using the singleton instance.

Method Summary
`Object` | `invoke(org.aopalliance.intercept.MethodInvocation invocation)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationExecutionMethodInvocationInterceptor

    public OperationExecutionMethodInvocationInterceptor()

### OperationExecutionMethodInvocationInterceptor

    public OperationExecutionMethodInvocationInterceptor(IMonitoringController monitoringController)

  This constructor is mainly used for testing, providing a custom `IMonitoringController` instead of using the singleton instance.

  Parameters:
    `monitoringController` - must not be null

Method Detail

### invoke

    public Object invoke(org.aopalliance.intercept.MethodInvocation invocation)
                  throws Throwable

  Specified by:
    `invoke` in interface `org.aopalliance.intercept.MethodInterceptor`
  Throws:
    `Throwable`
  See Also:
    `MethodInterceptor.invoke(org.aopalliance.intercept.MethodInvocation)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net